Bug 830347 - 389 DS does not support multiple paging controls on a single connection
Summary: 389 DS does not support multiple paging controls on a single connection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-08 21:39 UTC by Nathan Kinder
Modified: 2013-05-23 17:14 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.2.11.12-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Paged Results request used to be allowed one request per connection. Consequence: Using one connection, multiple Paged Results requests were not handled. Fix: This version enhanced the functionality and support multiple Paged Results requests per connection. Result: Simultaneous multiple Paged Results requests are supported.
Clone Of:
Environment:
Last Closed: 2013-02-21 08:17:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0503 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2013-02-21 08:18:44 UTC

Description Nathan Kinder 2012-06-08 21:39:26 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/260

The SSSD maintains a single connection to the LDAP server. Each of our requests to LDAP uses a paging control to handle situations where the returned values exceed the single-request limit.

However, when we're under load and performing many concurrent requests, we see "Server is unwilling to perform(53), Simple Paged Results Search already in progress on this connection"

It appears that 389 DS does not maintain paging controls on a per-request basis.

Comment 1 RHEL Product and Program Management 2012-07-10 07:10:39 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 2 RHEL Product and Program Management 2012-07-10 23:00:49 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 3 Jenny Severance 2012-07-24 12:43:57 UTC
test coverage :: trac260 and trac260_1 in simplepaged

Comment 5 Jenny Severance 2012-11-19 20:27:01 UTC
verified

##############################trac260###############################
trac260: 389 DS does not support multiple paging controls on a single connection
TestCase [trac260] result-> [PASS]
####################################################################
 
##############################trac260###############################
trac260: 389 DS does not support multiple paging controls on a single connection
check instance: [/usr/lib64/dirsrv/slapd-dell-pe2800-01]
dn:
supportedldapversion: 2
supportedldapversion: 3
instance [/usr/lib64/dirsrv/slapd-dell-pe2800-01] is alive on port [30541]
Server up and running.
Simple Paged Results request failed as expected.
TestCase [trac260_1] result-> [PASS]
####################################################################

version

389-ds-base-1.2.11.15-3.el6

Comment 6 Aron Parsons 2012-12-05 04:39:33 UTC
Any chance we'll see a fix for this in 6.4?

A vanilla IPA install with clients using sssd exhibits breakage because of this bug (or at least did in 6.3, haven't tested 6.4 just yet).

Comment 7 Aron Parsons 2012-12-05 04:40:53 UTC
Shit, nevermind.  Just saw the "fixed in version 389-ds-base-1.2.11.12-1.el6" after submitting the comment.  Sorry.

Comment 9 errata-xmlrpc 2013-02-21 08:17:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html


Note You need to log in before you can comment on or make changes to this bug.